<?php
include("../custom/config.php");
include($GLOBALS['root']."includes/inc-functions.php");


if(!isset($_GET['selection'])){
    echo "Pas de sélection associée";
} else {
    $selection=$_GET['selection'];
    $savename=basename($selection, ".xml"); //fichier_seul($selection);
    $fichier=$GLOBALS['root'].$GLOBALS['dossier_cache'].$savename.".html";
    if(file_exists($fichier)){
        echo file_get_contents($fichier);
    } else {
        $page="";
        $s = read_xml($selection);

        foreach($s['item'] as $elem){ 
            $item = read_xml($elem,true);
            $page.=affiche_vignette($item);
        }
        file_put_contents($fichier, $page);
        echo $page;
    }
}
?>